/////////////////////////////////////////////////////////////////////////////
// CFRPVC dialog
#include "resource.h"
class CPortFR;
class CFRPVC : public CPropertyPage
{
	DECLARE_DYNCREATE(CFRPVC)

// Construction
public:
	CFRPVC(int * const pnCIR = NULL);
	~CFRPVC();

// Dialog Data
	//{{AFX_DATA(CFRPVC)
	enum { IDD = IDD_FRPVC };
	CEdit	m_EditDLCI;
	DWORD	m_nCIR;
	CString	m_szDescription;
	DWORD	m_nDLCI;
	BOOL	m_bCompression;
	//}}AFX_DATA

//	CRegDataKey *m_CurSelPVC;
	BOOL m_bConfig;
	int m_nBaudRate;
	const CPortFR* m_pPort;
// Overrides
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(CFRPVC)
	public:
	virtual void OnOK();
	virtual BOOL OnKillActive();
	virtual void OnCancel();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	// Generated message map functions
	//{{AFX_MSG(CFRPVC)
	virtual BOOL OnInitDialog();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
   BOOL m_fCancelling;
   int * m_pnCIR;
};
/////////////////////////////////////////////////////////////////////////////
// CFRProtocol dialog

class CFRProtocol : public CPropertyPage
{
	DECLARE_DYNCREATE(CFRProtocol)

// Construction
public:
	CFRProtocol();
	~CFRProtocol();

// Dialog Data
	//{{AFX_DATA(CFRProtocol)
	enum { IDD = IDD_FRPROTOCOL };
	CComboBox	m_TCPIPBox;
	int		m_Ethernet;
	int		m_IPX;
	int		m_TCPIP;
	//}}AFX_DATA
	CString m_szIPAddress;
	CString m_szSubnetMask;

	DWORD	m_IPAddress[4];
	DWORD	m_SubnetMask[4];

//	CRegDataKey *m_CurSelPVC;

// Overrides
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(CFRProtocol)
	public:
	virtual BOOL PreTranslateMessage(MSG* pMsg);
	virtual void OnOK();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	// Generated message map functions
	//{{AFX_MSG(CFRProtocol)
	virtual BOOL OnInitDialog();
	afx_msg void OnSelchangeTcpip();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};
/////////////////////////////////////////////////////////////////////////////
// CFRPVCAdvanced dialog

class CFRPVCAdvanced : public CPropertyPage
{
	DECLARE_DYNCREATE(CFRPVCAdvanced)

// Construction
public:
	CFRPVCAdvanced(int * const pnCIR = NULL);
	~CFRPVCAdvanced();

// Dialog Data
	//{{AFX_DATA(CFRPVCAdvanced)
	enum { IDD = IDD_FRPVC_ADVANCED };
	DWORD	m_BE;
	DWORD	m_CMP;
	BOOL	m_AutoManage;
	DWORD	m_RRMax;
	DWORD	m_RRPeriod;
	//}}AFX_DATA
	CString	m_NetworkAddress[6];
	int m_nBaudRate;



// Overrides
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(CFRPVCAdvanced)
	public:
	virtual BOOL PreTranslateMessage(MSG* pMsg);
	virtual void OnOK();
	virtual BOOL OnKillActive();
	virtual BOOL OnSetActive();
	virtual void OnCancel();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	// Generated message map functions
	//{{AFX_MSG(CFRPVCAdvanced)
	virtual BOOL OnInitDialog();
	afx_msg void OnAutoManage();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
   BOOL m_fCancelling;
   int * m_pnCIR;
};
